%define expat_version           1.95.5
%define glib2_version           2.2.0
%define dbus_version            0.20

%define lib_name %mklibname %{name} 0
%define lib_major 0

Summary: Hardware Abstraction Layer
Name: hal
Version: 0.2.6
Release: 5mdk
URL: http://www.freedesktop.org/software/hal/
Source0: %{name}-%{version}.tar.bz2
# (fc) 0.2.6-1mdk fix lock dir location
Patch0: hal-0.2.6-lockdir.patch.bz2
# (fc) 0.2.6-1mdk fix pid location 
Patch1: hal-0.2.6-pidfile.patch.bz2
License: AFL/GPL
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-root
PreReq: rpm-helper
BuildRequires: expat-devel >= %{expat_version}
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: dbus-devel    >= %{dbus_version}
BuildRequires: python python-devel
BuildRequires: autoconf2.5
BuildRequires: glibc-static-devel
Requires: dbus >= %{dbus_version}

%description

HAL is daemon for collection and maintaining information from several
sources about the hardware on the system. It provdes a live device
list through D-BUS.


%package gnome
Summary: GNOME based device manager for HAL
Group: Graphical desktop/GNOME
Requires: %name = %{version}-%{release}
Requires: dbus-python >= %{dbus_version}
Requires: pygtk2.0-libglade >= 2.0.0
Requires: gnome-python >= 2.0.0

%description gnome
GNOME program for displaying the devices detected by HAL

%package -n %{lib_name}
Summary: Shared library for using HAL
Group: System/Libraries

%description -n %{lib_name}
HAL shared library.

%package -n %{lib_name}-devel
Summary: Libraries and headers for HAL
Group: Development/C
Requires: %{name} = %{version}-%{release}
Requires: %{lib_name} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
#gw got this from the pkgconfig file:
Requires: dbus-devel >= %{dbus_version}

%description -n %{lib_name}-devel

Headers and static libraries for HAL.


%prep
%setup -q
%patch0 -p1 -b .lockdir
%patch1 -p1 -b .pidfile

#needed by patch1
WANT_AUTOCONF_2_5=1 autoconf

%build

#we don't use libtool 1.5 yet
%define __libtoolize /bin/true

%configure2_5x --with-hwdata=%{_datadir}/ldetect-lst --with-pid-file=%{_var}/run/haldaemon.pid

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%clean
rm -rf %{buildroot}

%pre
%_pre_useradd haldaemon / /sbin/nologin
%_pre_groupadd daemon hamdaemon

%post -n %{lib_name} -p /sbin/ldconfig

%post
%_post_service haldaemon

%preun
%_preun_service haldaemon

%postun -n %{lib_name} -p /sbin/ldconfig

%postun
%_post_service haldaemon

%files
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/hal.conf
%config(noreplace) %{_sysconfdir}/rc.d/init.d/*
%{_sbindir}/hald

%{_bindir}/lshal
%{_bindir}/hal-get-property
%{_bindir}/hal-set-property


%{_libexecdir}/hal.hotplug
%{_sysconfdir}/hotplug.d/default/hal.hotplug

%{_datadir}/hal

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*hal*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)

%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*



%files gnome
%defattr(-,root,root)
%{_datadir}/hal/device-manager
%{_bindir}/hal-device-manager

%changelog
* Sat Jan 31 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.6-5mdk
- fix buildrequires

* Sat Jan 31 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.6-4mdk
- fix devel requires

* Fri Jan 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.6-3mdk
- fix buildrequires

* Thu Jan 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.6-2mdk
- Fix hal-gnome dependency (houpla)

* Mon Jan 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.6-1mdk
- First Mandrake package  (based on David Zeuthen package)
- Patch0 : fix lock directory location

